## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jschema-to-python
Summary:        Generate source code for Python classes from a JSON schema
Version:        1.2.3
Release:        %autorelease

# SPDX
License:        MIT
URL:            https://github.com/microsoft/jschema-to-python
Source0:        %{pypi_source jschema_to_python}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  dos2unix
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-jschema-to-python
Summary:        %{summary}

%description -n python3-jschema-to-python %{common_description}


%prep
%autosetup -n jschema_to_python-%{version}
# Fix CRNL line termination
find . -type f -exec dos2unix '{}' '+'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jschema_to_python


%check
%pytest


%files -n python3-jschema-to-python -f %{pyproject_files}
# pyproject-rpm-macros handles LICENSE; verify with “rpm -qL -p …”
%doc CODE_OF_CONDUCT.md
%doc README.rst
%doc SECURITY.md


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-6
- Drop default -r argument to pyproject_buildrequires

* Sat Oct 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-5
- Confirm License is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-3
- Rebuilt for Python 3.11 (close RHBZ#2098981)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-1
- Inital package (close RHBZ#2032979)
